> ## Documentation Index
> Fetch the complete documentation index at: https://klipy.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# list contact

> Lists contacts, ordered by `created_at` (descending) by default. Supports cursor pagination via the `cursor` and `limit` query parameters. It also supports the `created_since` / `updated_since` time-window filters.



## OpenAPI

````yaml /api/v2/openapi.json get /contacts
openapi: 3.1.0
info:
  title: Klipy API
  version: '2'
  description: Klipy public CRM API, version 2.
servers:
  - url: https://api.klipy.ai/api/v2
security:
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /contacts:
    get:
      tags:
        - contacts
      summary: list contact
      description: >-
        Lists contacts, ordered by `created_at` (descending) by default.
        Supports cursor pagination via the `cursor` and `limit` query
        parameters. It also supports the `created_since` / `updated_since`
        time-window filters.
      operationId: list_contacts
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: created_since
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: updated_since
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: sort
          in: query
          required: false
          schema:
            type: string
            enum:
              - created_at
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - name: company_id
          in: query
          required: false
          schema:
            type: string
        - name: owner_id
          in: query
          required: false
          schema:
            type: string
        - name: q
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/List'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  responses:
    List:
      description: A paginated list of resources.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ListEnvelope'
    Unauthorized:
      description: Authentication failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Forbidden:
      description: Insufficient scope or forbidden operation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: Rate limit exceeded.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    InternalError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  schemas:
    ListEnvelope:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
        meta:
          $ref: '#/components/schemas/Meta'
        object:
          type: string
        page_info:
          $ref: '#/components/schemas/PageInfo'
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            details:
              type: array
              items:
                type: object
            message:
              type: string
        meta:
          $ref: '#/components/schemas/Meta'
        object:
          type: string
    Meta:
      type: object
      properties:
        api_version:
          type: string
        request_id:
          type: string
        timestamp:
          type: string
          format: date-time
    PageInfo:
      type: object
      properties:
        end_cursor:
          type:
            - string
            - 'null'
        has_next_page:
          type: boolean
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-Klipy-Api-Key
    BearerAuth:
      type: http
      scheme: bearer

````